%global _hardened_build 1
%define _prefix /opt/symas
%define _libdir %{_prefix}/lib
%define _varfix /var/symas
%define _etcfix /opt/symas/etc

Name:		symas-cyrus-sasl
Version:	2.1.27
Release:	3%{?dist}
Summary:	Symas's Cyrus-SASL build

License:	MIT
URL:		https://cyrusimap.org/
Source:		%{name}-%{version}.tar.gz

BuildRequires:	gcc, make, automake, libtool, autoconf
BuildRequires:	symas-heimdal-devel, symas-openssl-devel
Requires:		symas-cyrus-sasl-libs = %{version}-%{release}
Requires:		symas-openssl-libs, symas-heimdal-libs
AutoReqProv:	no

Patch0: 0001-Make-the-libsasl2-symbols-versioned.patch
Patch1: 0005-Fixes-in-library-mutexes.patch
Patch2: 0034-CVE-2019-19906.patch
Patch3: 01-fix-sample-build.patch

%description
The Symas Cyrus-SASL build

%prep
%setup -q cyrus-sasl-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
aclocal --install;
autoreconf --verbose --force --install -Wno-portability;
sed -i.bak 's/-lRSAglue //' configure

%if 0%{?suse_version}
LDFLAGS="-L/opt/symas/lib -Wl,-rpath,/opt/symas/lib" \
%else
LDFLAGS="%{__global_ldflags} -L/opt/symas/lib -Wl,-rpath,/opt/symas/lib" \
%endif
CFLAGS="%{optflags} -D_REENTRANT -DGETXXNAM_R_5ARG" \
CXXFLAGS="%{optflags} -D_REENTRANT" \
CPPFLAGS=-I%{_prefix}/include \
./configure --prefix=%{_prefix} \
	--with-datadir=%{_varfix} \
	--with-saslauthd=%{_varix}/sasl \
	--localstatedir=%{_varfix} \
	--sharedstatedir=%{_etcfix} \
	--sysconfdir=%{_etcfix} \
	--with-plugindir=%{_libdir}/sasl2 \
	--with-dblib=no \
	--with-sqlite=no \
	--with-devrandom=/dev/urandom \
	--with-gss_impl=heimdal \
	--with-lib-subdir=lib \
	--with-openssl=%{_prefix} \
	--enable-gssapi=%{_prefix} \
	--enable-login \
	--enable-shared=yes --enable-static=no --without-python
make

%install
make install DESTDIR=%{buildroot}
rm -rf %{buildroot}%{_prefix}/sbin
rm -rf %{buildroot}%{_prefix}/share/man/man8
rm -rf %{buildroot}%{_libdir}/*.la

%package libs
Summary:	Cyrus-SASL Libaries
Requires: symas-openssl-libs, symas-heimdal-libs
AutoReqProv:	no

%description libs
The symas-cyrus-sasl-libs package contains the curl libraries

%package devel
Summary:	Cyrus-SASL Development
Requires: symas-cyrus-sasl-libs = %{version}-%{release}
AutoReqProv:	no

%description devel
The symas-cyrus-sasl-devel package contains the linking libraries and include files

%files libs
%defattr(-,root,root)
%dir %{_libdir}/sasl2
%{_libdir}/*.so.*
%{_libdir}/sasl2/*

%files devel
%defattr(-,root,root)
%{_prefix}/include
%{_libdir}/*.so
%{_libdir}/pkgconfig
%{_prefix}/share/man/man3

%changelog
* Mon May 24 2021 Symas Support <support@symas.com> - 2.1.27-3
* Update paths for odd Symas Gold locations
* Tue May 11 2021 Symas Support <support@symas.com> - 2.1.27-2
- FHS fixups
* Tue Apr 6 2021 Symas Support <support@symas.com> - 2.1.27-1
- initial packaging
